package de.ivu.elect.interfaces.was.stimmeingabe;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

import de.ivu.elect.interfaces.core.GebietReferenz;

/**
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class GeloeschterErgebniseingang {
  @XmlElement(required = true)
  private Long eingangssequenznummer;

  @XmlElement(required = true)
  private GebietReferenz gebiet;

  @XmlElement(required = false)
  private GebietReferenz erfasstIn; //

  @XmlElement(required = true)
  private Ergebniseingangsart ergebniseingangsart;

  public Long getEingangssequenznummer() {
    return eingangssequenznummer;
  }

  public void setEingangssequenznummer(Long eingangssequenznummer) {
    this.eingangssequenznummer = eingangssequenznummer;
  }

  public GebietReferenz getGebiet() {
    return gebiet;
  }

  public void setGebiet(GebietReferenz gebiet) {
    this.gebiet = gebiet;
  }

  public Ergebniseingangsart getErgebniseingangsart() {
    return ergebniseingangsart;
  }

  public void setErgebniseingangsart(Ergebniseingangsart ergebniseingangsart) {
    this.ergebniseingangsart = ergebniseingangsart;
  }

  public GebietReferenz getErfasstIn() {
    return erfasstIn;
  }

  public void setErfasstIn(GebietReferenz erfasstIn) {
    this.erfasstIn = erfasstIn;
  }
}
